<section id="cart">
  <mat-icon aria-hidden="false" class="close" (click)="toggleCartSidenav()">close</mat-icon>
  <div *ngIf="(cartProducts$ | async) && (cartProducts$ | async).length > 0" class="cart-product-container">
    <app-cart-product 
    *ngFor="let cartProduct of cartProducts$ | async" 
    [cartProduct]="cartProduct"
    [disableAdd]="isAddBtnDisabled(cartProduct.id)"
    (increaseButtonClicked)="increaseProductQuantity($event)"
    (decreaseButtonClicked)="decreaseProductQuantity($event)"
    (deleteButtonClicked)="removeProductFromCart($event)"
    >
    </app-cart-product>
  </div>
  <div *ngIf="(cartProducts$ | async) && (cartProducts$ | async).length > 0" class="cart-info">
    <h3>{{'Total:' + (total$ | async | currency:'EUR':'symbol')}}</h3>
    <button class="checkout" (click)="checkout()">Tramitar pedido</button>
  </div>
  <div *ngIf="(cartProducts$ | async) && (cartProducts$ | async).length === 0" class="cart-empty-msg">Su carro está
    vacío</div>
</section>